Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Atk Namespace Reference

C++ framework the ATK Accessibility Toolkit. More...

## Compounds

- class Action
    An AtkAction C++ wrapper class. More...
- class Attribute
    A AtkAttribute C++ wrapper class. More...
- class Component
    An AtkComponent C++ wrapper class. More...
- class Document
    An AtkDocument C++ wrapper class. More...
- class EditableText
    A AtkEditableText C++ wrapper class. More...
- class GObjectAccessible
    An AtkGObjectAccessible C++ wrapper class. More...
- class Hyperlink
    An AtkHyperlink C++ wrapper class. More...
- class Hypertext
    An AtkHypertext C++ wrapper class. More...
- class Image
    An AtkImage C++ wrapper class. More...
- class Implementor
    An AtkImplementor C++ wrapper class. More...
- class Object
    An AtkObject C++ wrapper class. More...
- class ObjectFactory
    An AtkObjectFactory C++ wrapper class. More...
- class Registry
    An AtkRegistry C++ wrapper class. More...
- class Relation
    An AtkRelation C++ wrapper class. More...
- class RelationSet
    An AtkRelationSet C++ wrapper class. More...
- class Selection
    An AtkSelection C++ wrapper class. More...
- class StateSet
    An AtkStateSet C++ wrapper class. More...
- class StreamableContent
    An AtkStreamableContent C++ wrapper class. More...
- class Table
    An AtkTable C++ wrapper class. More...
- class Text
    A AtkText C++ wrapper class. More...
- class Value
    An AtkValue C++ wrapper class. More...

## Role Methods

- Role role_register (const String &name)
    Registers the role specified by name.
- String role_get_name (Role role)
    Gets the description string describing the Role role.
- String role_get_localized_name (Role role)
    Gets the localized description string describing the Role role.
- Role role_for_name (const String &name)
    Get the Role type corresponding to a role name.

## StateType Methods

- StateType state_type_register (const String &name)
    Register a new object state.
- String state_type_get_name (StateType type)
    Gets the description string describing the StateType type.
- StateType state_type_for_name (const String &name)
    Gets the StateType corresponding to the description string name.

## TextAttibute Methods

- TextAttribute text_attribute_register (const String &name)
    Associate name with a new TextAttribute.
- String text_attribute_get_name (TextAttribute attr)
    Gets the name corresponding to the TextAttribute.
- TextAttribute text_attribute_for_name (const String &name)
    Get the TextAttribute type corresponding to a text attribute name.
- String text_attribute_get_value (TextAttribute attr, int index)
    Gets the value for the index of the text attribute attr.

## RelationType Methods

- RelationType relation_type_register (const String &name)
    Associate name with a new RelationType.
- String relation_type_get_name (RelationType type)
    Gets the description string describing the RelationType type.
- RelationType relation_type_for_name (const String &name)
    Get the RelationType type corresponding to a relation name.

## Toolkit Methods

- Object * get_root ()
    Returns the root accessible container for the current application.
- String get_toolkit_name ()
    Returns the name string for the GUI toolkit implementing ATK for this application.
- String get_toolkit_version ()
    Returns the version string for the GUI toolkit implementing ATK for this application.

## Typedefs

- typedef unsigned int HyperlinkStateFlagsField
    HyperlinkStateFlagsField holds one or more values from the HyperlinkStateFlags enumeration OR'd together.
- typedef AtkState State
    State is a typedef for AtkState.

## Enumerations

- enum HyperlinkStateFlags { HYPERLINK_IS_INLINE = ATK_HYPERLINK_IS_INLINE }
    Describes the type of link. More...
- enum Role {
  ROLE_INVALID = ATK_ROLE_INVALID,
  ROLE_ACCEL_LABEL = ATK_ROLE_ACCEL_LABEL,
  ROLE_ALERT = ATK_ROLE_ALERT,
  ROLE_ANIMATION = ATK_ROLE_ANIMATION,
  ROLE_ARROW = ATK_ROLE_ARROW,
  ROLE_CALENDAR = ATK_ROLE_CALENDAR,
  ROLE_CANVAS = ATK_ROLE_CANVAS,
  ROLE_CHECK_BOX = ATK_ROLE_CHECK_BOX,
  ROLE_CHECK_MENU_ITEM = ATK_ROLE_CHECK_MENU_ITEM,
  ROLE_COLOR_CHOOSER = ATK_ROLE_COLOR_CHOOSER,
  ROLE_COLUMN_HEADER = ATK_ROLE_COLUMN_HEADER,
  ROLE_COMBO_BOX = ATK_ROLE_COMBO_BOX,
  ROLE_DATE_EDITOR = ATK_ROLE_DATE_EDITOR,
  ROLE_DESKTOP_ICON = ATK_ROLE_DESKTOP_ICON,
  ROLE_DESKTOP_FRAME = ATK_ROLE_DESKTOP_FRAME,
  ROLE_DIAL = ATK_ROLE_DIAL,
  ROLE_DIALOG = ATK_ROLE_DIALOG,
  ROLE_DIRECTORY_PANE = ATK_ROLE_DIRECTORY_PANE,
  ROLE_DRAWING_AREA = ATK_ROLE_DRAWING_AREA,
  ROLE_FILE_CHOOSER = ATK_ROLE_FILE_CHOOSER,
  ROLE_FILLER = ATK_ROLE_FILLER,
  ROLE_FONT_CHOOSER = ATK_ROLE_FONT_CHOOSER,
  ROLE_FRAME = ATK_ROLE_FRAME,
  ROLE_GLASS_PANE = ATK_ROLE_GLASS_PANE,
  ROLE_HTML_CONTAINER = ATK_ROLE_HTML_CONTAINER,
  ROLE_ICON = ATK_ROLE_ICON,
  ROLE_IMAGE = ATK_ROLE_IMAGE,
  ROLE_INTERNAL_FRAME = ATK_ROLE_INTERNAL_FRAME,
  ROLE_LABEL = ATK_ROLE_LABEL,
  ROLE_LAYERED_PANE = ATK_ROLE_LAYERED_PANE,
  ROLE_LIST = ATK_ROLE_LIST,
  ROLE_LIST_ITEM = ATK_ROLE_LIST_ITEM,
  ROLE_MENU = ATK_ROLE_MENU,
  ROLE_MENU_BAR = ATK_ROLE_MENU_BAR,
  ROLE_MENU_ITEM = ATK_ROLE_MENU_ITEM,
  ROLE_OPTION_PANE = ATK_ROLE_OPTION_PANE,
  ROLE_PAGE_TAB = ATK_ROLE_PAGE_TAB,
  ROLE_PAGE_TAB_LIST = ATK_ROLE_PAGE_TAB_LIST,
  ROLE_PANEL = ATK_ROLE_PANEL,
  ROLE_PASSWORD_TEXT = ATK_ROLE_PASSWORD_TEXT,
  ROLE_POPUP_MENU = ATK_ROLE_POPUP_MENU,
  ROLE_PROGRESS_BAR = ATK_ROLE_PROGRESS_BAR,
  ROLE_PUSH_BUTTON = ATK_ROLE_PUSH_BUTTON,
  ROLE_RADIO_BUTTON = ATK_ROLE_RADIO_BUTTON,
  ROLE_RADIO_MENU_ITEM = ATK_ROLE_RADIO_MENU_ITEM,
  OLE_ROOT_PANE = ATK_ROLE_ROOT_PANE,
  ROLE_ROW_HEADER = ATK_ROLE_ROW_HEADER,
  ROLE_SCROLL_BAR = ATK_ROLE_SCROLL_BAR,
  ROLE_SCROLL_PANE = ATK_ROLE_SCROLL_PANE,
  ROLE_SEPARATOR = ATK_ROLE_SEPARATOR,
  ROLE_SLIDER = ATK_ROLE_SLIDER,
  ROLE_SPLIT_PANE = ATK_ROLE_SPLIT_PANE,
  ROLE_SPIN_BUTTON = ATK_ROLE_SPIN_BUTTON,
  ROLE_STATUSBAR = ATK_ROLE_STATUSBAR,
  ROLE_TABLE = ATK_ROLE_TABLE,
  ROLE_TABLE_CELL = ATK_ROLE_TABLE_CELL,
  ROLE_TABLE_COLUMN_HEADER = ATK_ROLE_TABLE_COLUMN_HEADER,
  ROLE_TABLE_ROW_HEADER = ATK_ROLE_TABLE_ROW_HEADER,
  ROLE_TEAR_OFF_MENU_ITEM = ATK_ROLE_TEAR_OFF_MENU_ITEM,
  ROLE_TERMINAL = ATK_ROLE_TERMINAL,
  ROLE_TEXT = ATK_ROLE_TEXT,
  ROLE_TOGGLE_BUTTON = ATK_ROLE_TOGGLE_BUTTON,
  ROLE_TOOL_BAR = ATK_ROLE_TOOL_BAR,
  ROLE_TOOL_TIP = ATK_ROLE_TOOL_TIP,
  ROLE_TREE = ATK_ROLE_TREE,
  ROLE_TREE_TABLE = ATK_ROLE_TREE_TABLE,
  ROLE_UNKNOWN = ATK_ROLE_UNKNOWN,
  ROLE_VIEWPORT = ATK_ROLE_VIEWPORT,
  ROLE_WINDOW = ATK_ROLE_WINDOW,
  ROLE_HEADER = ATK_ROLE_HEADER,
  ROLE_FOOTER = ATK_ROLE_FOOTER,
  ROLE_PARAGRAPH = ATK_ROLE_PARAGRAPH,
  ROLE_RULER = ATK_ROLE_RULER,
  ROLE_APPLICATION = ATK_ROLE_APPLICATION,
  ROLE_LAST_DEFINED = ATK_ROLE_LAST_DEFINED
  }
    Describes the role of an object. More...
- enum StateType {
  STATE_INVALID = ATK_STATE_INVALID,
  STATE_ACTIVE = ATK_STATE_ACTIVE,
  STATE_ARMED = ATK_STATE_ARMED,
  STATE_BUSY = ATK_STATE_BUSY,
  STATE_CHECKED = ATK_STATE_CHECKED,
  STATE_DEFUNCT = ATK_STATE_DEFUNCT,
  STATE_EDITABLE = ATK_STATE_EDITABLE,
  STATE_ENABLED = ATK_STATE_ENABLED,
  STATE_EXPANDABLE = ATK_STATE_EXPANDABLE,
  STATE_EXPANDED = ATK_STATE_EXPANDED,
  STATE_FOCUSABLE = ATK_STATE_FOCUSABLE,
  STATE_FOCUSED = ATK_STATE_FOCUSED,
  STATE_HORIZONTAL = ATK_STATE_HORIZONTAL,
  STATE_ICONIFIED = ATK_STATE_ICONIFIED,
  STATE_MODAL = ATK_STATE_MODAL,
  STATE_MULTI_LINE = ATK_STATE_MULTI_LINE,
  STATE_MULTISELECTABLE = ATK_STATE_MULTISELECTABLE,
  STATE_OPAQUE = ATK_STATE_OPAQUE,
  STATE_PRESSED = ATK_STATE_PRESSED,
  STATE_RESIZABLE = ATK_STATE_RESIZABLE,
  STATE_SELECTABLE = ATK_STATE_SELECTABLE,
  STATE_SELECTED = ATK_STATE_SELECTED,
  STATE_SENSITIVE = ATK_STATE_SENSITIVE,
  STATE_SHOWING = ATK_STATE_SHOWING,
  STATE_SINGLE_LINE = ATK_STATE_SINGLE_LINE,
  STATE_STALE = ATK_STATE_STALE,
  STATE_TRANSIENT = ATK_STATE_TRANSIENT,
  STATE_VERTICAL = ATK_STATE_VERTICAL,
  STATE_VISIBLE = ATK_STATE_VISIBLE,
  STATE_MANAGES_DESCENDANTS = ATK_STATE_MANAGES_DESCENDANTS,
  STATE_LAST_DEFINED = ATK_STATE_LAST_DEFINED
  }
    The possible types of states of an object. More...
- enum TextAttribute {
  TEXT_ATTR_INVALID = ATK_TEXT_ATTR_INVALID,
  TEXT_ATTR_LEFT_MARGIN = ATK_TEXT_ATTR_LEFT_MARGIN,
  TEXT_ATTR_RIGHT_MARGIN = ATK_TEXT_ATTR_RIGHT_MARGIN,
  TEXT_ATTR_INDENT = ATK_TEXT_ATTR_INDENT,
  TEXT_ATTR_INVISIBLE = ATK_TEXT_ATTR_INVISIBLE,
  TEXT_ATTR_EDITABLE = ATK_TEXT_ATTR_EDITABLE,
  TEXT_ATTR_PIXELS_ABOVE_LINES = ATK_TEXT_ATTR_PIXELS_ABOVE_LINES,
  TEXT_ATTR_PIXELS_BELOW_LINES = ATK_TEXT_ATTR_PIXELS_BELOW_LINES,
  TEXT_ATTR_PIXELS_INSIDE_WRAP = ATK_TEXT_ATTR_PIXELS_INSIDE_WRAP,
  TEXT_ATTR_BG_FULL_HEIGHT = ATK_TEXT_ATTR_BG_FULL_HEIGHT,
  TEXT_ATTR_RISE = ATK_TEXT_ATTR_RISE,
  TEXT_ATTR_UNDERLINE = ATK_TEXT_ATTR_UNDERLINE,
  TEXT_ATTR_STRIKETHROUGH = ATK_TEXT_ATTR_STRIKETHROUGH,
  TEXT_ATTR_SIZE = ATK_TEXT_ATTR_SIZE,
  TEXT_ATTR_SCALE = ATK_TEXT_ATTR_SCALE,
  TEXT_ATTR_WEIGHT = ATK_TEXT_ATTR_WEIGHT,
  TEXT_ATTR_LANGUAGE = ATK_TEXT_ATTR_LANGUAGE,
  TEXT_ATTR_FAMILY_NAME = ATK_TEXT_ATTR_FAMILY_NAME,
  TEXT_ATTR_BG_COLOR = ATK_TEXT_ATTR_BG_COLOR,
  TEXT_ATTR_FG_COLOR = ATK_TEXT_ATTR_FG_COLOR,
  TEXT_ATTR_BG_STIPPLE = ATK_TEXT_ATTR_BG_STIPPLE,
  TEXT_ATTR_FG_STIPPLE = ATK_TEXT_ATTR_FG_STIPPLE,
  TEXT_ATTR_WRAP_MODE = ATK_TEXT_ATTR_WRAP_MODE,
  TEXT_ATTR_DIRECTION = ATK_TEXT_ATTR_DIRECTION,
  TEXT_ATTR_JUSTIFICATION = ATK_TEXT_ATTR_JUSTIFICATION,
  TEXT_ATTR_STRETCH = ATK_TEXT_ATTR_STRETCH,
  TEXT_ATTR_VARIANT = ATK_TEXT_ATTR_VARIANT,
  TEXT_ATTR_STYLE = ATK_TEXT_ATTR_STYLE,
  TEXT_ATTR_LAST_DEFINED = ATK_TEXT_ATTR_LAST_DEFINED
  }
    Describes the text attributes supported. More...
- enum TextBoundary {
  TEXT_BOUNDARY_CHAR = ATK_TEXT_BOUNDARY_CHAR,
  TEXT_BOUNDARY_WORD_START = ATK_TEXT_BOUNDARY_WORD_START,
  TEXT_BOUNDARY_WORD_END = ATK_TEXT_BOUNDARY_WORD_END,
  TEXT_BOUNDARY_SENTENCE_START = ATK_TEXT_BOUNDARY_SENTENCE_START,
  TEXT_BOUNDARY_SENTENCE_END = ATK_TEXT_BOUNDARY_SENTENCE_END,
  TEXT_BOUNDARY_LINE_START = ATK_TEXT_BOUNDARY_LINE_START,
  TEXT_BOUNDARY_LINE_END = ATK_TEXT_BOUNDARY_LINE_END
  }
    Specifies text boundary types to use when retrieving regions of text with get_text_after_offset(), get_text_at_offset() and get_text_before_offset(). More...
- enum CoordType {
  XY_SCREEN = ATK_XY_SCREEN,
  XY_WINDOW = ATK_XY_WINDOW
  }
    Specifies how xy coordinates are to be interpreted. More...
- enum Layer {
  LAYER_INVALID = ATK_LAYER_INVALID,
  LAYER_BACKGROUND = ATK_LAYER_BACKGROUND,
  LAYER_CANVAS = ATK_LAYER_CANVAS,
  LAYER_WIDGET = ATK_LAYER_WIDGET,
  LAYER_MDI = ATK_LAYER_MDI,
  LAYER_POPUP = ATK_LAYER_POPUP,
  LAYER_OVERLAY = ATK_LAYER_OVERLAY,
  LAYER_WINDOW = ATK_LAYER_WINDOW
  }
    Describes the layer of a component. More...
- enum RelationType {
  RELATION_NULL = ATK_RELATION_NULL,
  RELATION_CONTROLLED_BY = ATK_RELATION_CONTROLLED_BY,
  RELATION_CONTROLLER_FOR = ATK_RELATION_CONTROLLER_FOR,
  RELATION_LABEL_FOR = ATK_RELATION_LABEL_FOR,
  RELATION_LABELLED_BY = ATK_RELATION_LABELLED_BY,
  RELATION_MEMBER_OF = ATK_RELATION_MEMBER_OF,
  RELATION_NODE_CHILD_OF = ATK_RELATION_NODE_CHILD_OF,
  RELATION_FLOWS_TO = ATK_RELATION_FLOWS_TO,
  RELATION_FLOWS_FROM = ATK_RELATION_FLOWS_FROM,
  RELATION_SUBWINDOW_OF = ATK_RELATION_SUBWINDOW_OF,
  RELATION_EMBEDS = ATK_RELATION_EMBEDS,
  RELATION_EMBEDDED_BY = ATK_RELATION_EMBEDDED_BY,
  RELATION_LAST_DEFINED = ATK_RELATION_LAST_DEFINED
  }
    Describes the type of the relation. More...

## Detailed Description

C++ framework the ATK Accessibility Toolkit.

Provides a set of generic interfaces allowing accessibility technologies to interact with a graphical user interface. For example, a screen reader uses ATK to discover the text in an interface and read it to blind users. GTK+ widgets have built-in support for accessibility using the ATK framework.

## Enumeration Type Documentation

enum Inti::Atk::CoordType

Specifies how xy coordinates are to be interpreted.

Used by functions such as Atk::Component::get_position() and Atk::Text::get_character_extents().

Enumeration values:

  XY_SCREEN | Specifies xy coordinates relative to the screen.
  XY_WINDOW | Specifies xy coordinates relative to the widget's.

enum Inti::Atk::HyperlinkStateFlags

Describes the type of link.

Enumeration values:

  HYPERLINK_IS_INLINE | The link is inline.

enum Inti::Atk::Layer

Describes the layer of a component.

Enumeration values:

  LAYER_INVALID | The object does not have a layer.
  LAYER_BACKGROUND | This layer is reserved for the desktop background.
  LAYER_CANVAS | This layer is used for Canvas components.
  LAYER_WIDGET | This layer is normally used for components.
  LAYER_MDI | This layer is used for layered components.
  LAYER_POPUP | This layer is used for popup components, such as menus.
  LAYER_OVERLAY | This layer is reserved for future use.
  LAYER_WINDOW | This layer is used for toplevel windows.

enum Inti::Atk::RelationType

Describes the type of the relation.

Enumeration values:

  RELATION_NULL | No relation.
  RELATION_CONTROLLED_BY | Indicates an object controlled by one or more target objects.
  RELATION_CONTROLLER_FOR | Indicates an object is an controller for one or more target objects.
  RELATION_LABEL_FOR | Indicates an object is a label for one or more target objects.
  RELATION_LABELLED_BY | Indicates an object is labelled by one or more target objects.
  RELATION_MEMBER_OF | Indicates an object is a member of a group of one or more target objects.
  RELATION_NODE_CHILD_OF | Indicates an object is a cell in a treetable which is displayed because a cell in the same column is expanded and identifies that cell.
  RELATION_FLOWS_TO | Indicates that the object has content that flows logically to another Atk::Object in a sequential way, (for instance text-flow).
  RELATION_FLOWS_FROM | Indicates that the object has content that flows logically from another Atk::Object in a sequential way, (for instance text-flow).
  RELATION_SUBWINDOW_OF | [not sure about this one]
  RELATION_EMBEDS | Indicates that the object visually embeds another object's content, that is this object's content flows around another's content.
  RELATION_EMBEDDED_BY | Inverse of ATK_RELATION_EMBEDS, indicates that this object's content is visualy embedded in another object.
  RELATION_LAST_DEFINED | Not a valid relation, used for finding end of the enumeration.

enum Inti::Atk::Role

Describes the role of an object.

Enumeration values:

  ROLE_INVALID | Invalid role.
  ROLE_ACCEL_LABEL | A label which represents an accelerator.
  ROLE_ALERT | An object which is an alert to the user.
  ROLE_ANIMATION | An object which is an animated image.
  ROLE_ARROW | An arrow in one of the four cardinal directions.
  ROLE_CALENDAR | An object that displays a calendar and allows the user to select a date.
  ROLE_CANVAS | An object that can be drawn into and is used to trap events.
  ROLE_CHECK_BOX | A choice that can be checked or unchecked and provides a separate indicator for the current state.
  ROLE_CHECK_MENU_ITEM | A menu item with a check box.
  ROLE_COLOR_CHOOSER | A specialized dialog that lets the user choose a color.
  ROLE_COLUMN_HEADER | The header for a column of data.
  ROLE_COMBO_BOX | A list of choices the user can select from.
  ROLE_DATE_EDITOR | An object whose purpose is to allow a user to edit a date.
  ROLE_DESKTOP_ICON | An inconifed internal frame within a DESKTOP_PANE.
  ROLE_DESKTOP_FRAME | A pane that supports internal frames and iconified versions of those internal frames.
  ROLE_DIAL | An object whose purpose is to allow a user to set a value.
  ROLE_DIALOG | A top level window with title bar and a border.
  ROLE_DIRECTORY_PANE | A pane that allows the user to navigate through and select the contents of a directory.
  ROLE_DRAWING_AREA | An object used for drawing custom user interface elements.
  ROLE_FILE_CHOOSER | A specialized dialog that lets the user choose a file.
  ROLE_FILLER | A object that fills up space in a user interface.
  ROLE_FONT_CHOOSER | A specialized dialog that lets the user choose a font.
  ROLE_FRAME | A top level window with a title bar, border, menubar, etc.
  ROLE_GLASS_PANE | A pane that is guaranteed to be painted on top of all panes beneath it.
  ROLE_HTML_CONTAINER | A document container for HTML, whose children represent the document content.
  ROLE_ICON | A small fixed size picture, typically used to decorate components.
  ROLE_IMAGE | An object whose primary purpose is to display an image.
  ROLE_INTERNAL_FRAME | A frame-like object that is clipped by a desktop pane.
  ROLE_LABEL | An object used to present an icon or short string in an interface.
  ROLE_LAYERED_PANE | A specialized pane that allows its children to be drawn in layers, providing a form of stacking order.
  ROLE_LIST | An object that presents a list of objects to the user and allows the user to select one or more of them.
  ROLE_LIST_ITEM | An object that represents an element of a list.
  ROLE_MENU | An object usually found inside a menu bar that contains a list of actions the user can choose from.
  ROLE_MENU_BAR | An object usually drawn at the top of the primary dialog box of an application that contains a list of menus the user can choose from.
  ROLE_MENU_ITEM | An object usually contained in a menu that presents an action the user can choose.
  ROLE_OPTION_PANE | A specialized pane whose primary use is inside a DIALOG.
  ROLE_PAGE_TAB | An object that is a child of a page tab list.
  ROLE_PAGE_TAB_LIST | An object that presents a series of panels (or page tabs), one at a time, through some mechanism provided by the object.
  ROLE_PANEL | A generic container that is often used to group objects.
  ROLE_PASSWORD_TEXT | A text object uses for passwords, or other places where the text content is not shown visibly to the user.
  ROLE_POPUP_MENU | A temporary window that is usually used to offer the user a list of choices, and then hides when the user selects one of those choices.
  ROLE_PROGRESS_BAR | An object used to indicate how much of a task has been completed.
  ROLE_PUSH_BUTTON | An object the user can manipulate to tell the application to do something.
  ROLE_RADIO_BUTTON | A specialized check box that will cause other radio buttons in the same group to become unchecked when this one is checked.
  ROLE_RADIO_MENU_ITEM | A check menu item which belongs to a group; at each instant exactly one of the radio menu items from a group is selected.
  OLE_ROOT_PANE | A specialized pane that has a glass pane and a layered pane as its children.
  ROLE_ROW_HEADER | The header for a row of data.
  ROLE_SCROLL_BAR | An object usually used to allow a user to incrementally view a large amount of data.
  ROLE_SCROLL_PANE | An object that allows a user to incrementally view a large amount of information.
  ROLE_SEPARATOR | An object usually contained in a menu to provide a visible and logical separation of the contents in a menu.
  ROLE_SLIDER | An object that allows the user to select from a bounded range.
  ROLE_SPLIT_PANE | A specialized panel that presents two other panels at the same time.
  ROLE_SPIN_BUTTON | An object used to get an integer or floating point number from the user.
  ROLE_STATUSBAR | An object which reports messages of minor importance to the user.
  ROLE_TABLE | An object used to represent information in terms of rows and columns.
  ROLE_TABLE_CELL | A cell in a table.
  ROLE_TABLE_COLUMN_HEADER | The header for a column of a table.
  ROLE_TABLE_ROW_HEADER | The header for a row of a table.
  ROLE_TEAR_OFF_MENU_ITEM | A menu item used to tear off and reattach its menu.
  ROLE_TERMINAL | An object that represents an accessible terminal.
  ROLE_TEXT | An object that presents text to the user.
  ROLE_TOGGLE_BUTTON | A specialized push button that can be checked or unchecked, but does not provide a separate indicator for the current state.
  ROLE_TOOL_BAR | A bar or palette usually composed of push buttons or toggle buttons.
  ROLE_TOOL_TIP | An object that provides information about another object.
  ROLE_TREE | An object used to represent hierarchical information to the user.
  ROLE_TREE_TABLE | An object capable of expanding and collapsing rows as well as showing multiple columns of data.
  ROLE_UNKNOWN | The object contains some Accessible information, but its role is not known.
  ROLE_VIEWPORT | An object usually used in a scroll pane.
  ROLE_WINDOW | A top level window with no title or border.
  ROLE_HEADER | An object that serves as a document header.
  ROLE_FOOTER | An object that serves as a document footer.
  ROLE_PARAGRAPH | An object which is contains a paragraph of text content.
  ROLE_RULER | An object which describes margins and tab stops for text objects which it controls (should have CONTROLLER_FOR relation to such).
  ROLE_APPLICATION | The object is an application object, which may contain ROLE_FRAME objects or other types of accessibles.
  ROLE_LAST_DEFINED | Not a valid role, used for finding end of the enumeration.

enum Inti::Atk::StateType

The possible types of states of an object.

Enumeration values:

  STATE_INVALID | Indicates an invalid state.
  STATE_ACTIVE | Indicates a window is currently the active window.
  STATE_ARMED | Indicates that the object is armed.
  STATE_BUSY | Indicates the current object is busy.
  STATE_CHECKED | Indicates this object is currently checked.
  STATE_DEFUNCT | Indicates the user interface object corresponding to this object no longer exists.
  STATE_EDITABLE | Indicates the user can change the contents of this object.
  STATE_ENABLED | Indicates that this object is enabled.
  STATE_EXPANDABLE | Indicates this object allows progressive disclosure of its children.
  STATE_EXPANDED | Indicates this object its expanded.
  STATE_FOCUSABLE | Indicates this object can accept keyboard focus, which means all events resulting from typing on the keyboard will normally be passed to it when it has focus.
  STATE_FOCUSED | Indicates this object currently has the keyboard focus.
  STATE_HORIZONTAL | Indicates the orientation of this object is horizontal.
  STATE_ICONIFIED | Indicates this object is minimized and is represented only by an icon.
  STATE_MODAL | Indicates something must be done with this object before the user can interact with an object in a different window.
  STATE_MULTI_LINE | Indicates this (text) object can contain multiple lines of text.
  STATE_MULTISELECTABLE | Indicates this object allows more than one of its children to be selected at the same time.
  STATE_OPAQUE | Indicates this object paints every pixel within its rectangular region.
  STATE_PRESSED | Indicates this object is currently pressed.
  STATE_RESIZABLE | Indicates the size of this object is not fixed.
  STATE_SELECTABLE | Indicates this object is the child of an object that allows its children to be selected and that this child is one of those children that can be selected.
  STATE_SELECTED | Indicates this object is the child of an object that allows its children to be selected and that this child is one of those children that has been selected.
  STATE_SENSITIVE | Indicates this object is sensitive.
  STATE_SHOWING | Indicates this object, the object's parent, the object's parent's parent, and so on, are all visible.
  STATE_SINGLE_LINE | Indicates this (text) object can contain only a single line of text.
  STATE_STALE | Indicates that the index associated with this object has changed since the user accessed the object.
  STATE_TRANSIENT | Indicates this object is transient.
  STATE_VERTICAL | Indicates the orientation of this object is vertical.
  STATE_VISIBLE | Indicates this object is visible.
  STATE_MANAGES_DESCENDANTS | Indicates that "active-descendant-changed" event is sent when children become 'active' (that is, are selected or navigated to onscreen); used to prevent the need to enumerate all children in very large containers, like tables.
  STATE_LAST_DEFINED | Not a valid role, used for finding end of enumeration.

enum Inti::Atk::TextAttribute

Describes the text attributes supported.

Where appropriate each TextAttribute type lists all the possible values, in index order. The first value is 0, the second value is 1, and so on. This is the index you need to specify when constructing an Attribute. For example, for boolean values "false" is 0 and "true" is 1. For wrap mode "none" is 0, "char" is 1, and "word" is 2. You should be able to work the rest out.

Enumeration values:

  TEXT_ATTR_INVALID | Invalid attribute.
  TEXT_ATTR_LEFT_MARGIN | The pixel width of the left margin.
  TEXT_ATTR_RIGHT_MARGIN | The pixel width of the right margin.
  TEXT_ATTR_INDENT | The number of pixels that the text is indented.
  TEXT_ATTR_INVISIBLE | Either "false" or "true" indicating whether text is visible or not.
  TEXT_ATTR_EDITABLE | Either "false" or "true" indicating whether text is editable or not.
  TEXT_ATTR_PIXELS_ABOVE_LINES | Pixels of blank space to leave above each newline-terminated line.
  TEXT_ATTR_PIXELS_BELOW_LINES | Pixels of blank space to leave below each newline-terminated line.
  TEXT_ATTR_PIXELS_INSIDE_WRAP | Pixels of blank space to leave between wrapped lines inside the same newline-terminated line (paragraph).
  TEXT_ATTR_BG_FULL_HEIGHT | Either false" or "true" indicating whether to make the background color for each character the height of the highest font used on the current line, or the height of the font used for the current character.
  TEXT_ATTR_RISE | Number of pixels that the characters are risen above the baseline.
  TEXT_ATTR_UNDERLINE | The underline style, either "none", "single", "double" or "low".
  TEXT_ATTR_STRIKETHROUGH | Either "false" or "true" indicating whether the text is struck-through.
  TEXT_ATTR_SIZE | The size of the characters.
  TEXT_ATTR_SCALE | A string representation of a double indicating the scale of the characters.
  TEXT_ATTR_WEIGHT | The weight of the characters.
  TEXT_ATTR_LANGUAGE | The language used.
  TEXT_ATTR_FAMILY_NAME | The font family name.
  TEXT_ATTR_BG_COLOR | The background color; an RGB value of the format "%u,%u,%u".
  TEXT_ATTR_FG_COLOR | The foreground color; an RGB value of the format "%u,%u,%u".
  TEXT_ATTR_BG_STIPPLE | Either "false" or "true" indicating if a Gdk::Bitmap is set for stippling the background color.
  TEXT_ATTR_FG_STIPPLE | Either "false" or "true" indicating if a Gdk::Bitmap is set for stippling the foreground color.
  TEXT_ATTR_WRAP_MODE | The wrap mode of the text, if any; possible values are "none", "char" or "word".
  TEXT_ATTR_DIRECTION | The direction of the text, if set; possible values are "none", "ltr" or "rtl".
  TEXT_ATTR_JUSTIFICATION | The justification of the text, if set; possible values are "left", "right", "center" or "fill".
  TEXT_ATTR_STRETCH | The stretch of the text, if set; possible values are "ultra_condensed", "extra_condensed", "condensed", "semi_condensed", "normal", "semi_expanded", "expanded", "extra_expanded" or "ultra_expanded".
  TEXT_ATTR_VARIANT | The capitalization variant of the text, if set; possible values are "normal" or "small_caps".
  TEXT_ATTR_STYLE | The slant style of the text, if set; possible values are "normal", "oblique" or "italic".
  TEXT_ATTR_LAST_DEFINED | Not a valid text attribute, used for finding the end of the enumeration.

enum Inti::Atk::TextBoundary

Specifies text boundary types to use when retrieving regions of text with get_text_after_offset(), get_text_at_offset() and get_text_before_offset().

Enumeration values:

  TEXT_BOUNDARY_CHAR | Use character boundaries.
  TEXT_BOUNDARY_WORD_START | Use word start boundaries.
  TEXT_BOUNDARY_WORD_END | Use word end boundaries.
  TEXT_BOUNDARY_SENTENCE_START | Use sentence start boundaries.
  TEXT_BOUNDARY_SENTENCE_END | Use sentence end boundaries.
  TEXT_BOUNDARY_LINE_START | Use line start boundaries.
  TEXT_BOUNDARY_LINE_END | Use line end boundaries.

## Function Documentation

RelationType relation_type_for_name | ( | const String & | name | ) |

Get the RelationType type corresponding to a relation name.

Parameters:

  name | A string which is the (non-localized) name of an ATK relation type.

Returns:
  The RelationType corresponding to the specified name, or RELATION_NULL if no matching relation type is found.

String relation_type_get_name | ( | RelationType | type | ) |

Gets the description string describing the RelationType type.

Parameters:

  type | The RelationType whose name is required.

Returns:
  The string describing the RelationType.

RelationType relation_type_register | ( | const String & | name | ) |

Associate name with a new RelationType.

Parameters:

  name | A name string.

Returns:
  A RelationType associated with name.

Role role_for_name | ( | const String & | name | ) |

Get the Role type corresponding to a role name.

Parameters:

  name | A string which is the (non-localized) name of an ATK role.

Returns:
  The Role type corresponding to the specified name, or ROLE_INVALID if no matching role is found.

String role_get_localized_name | ( | Role | role | ) |

Gets the localized description string describing the Role role.

Parameters:

  role | The Role whose localized name is required.

Returns:
  A localized string describing the role.

String role_get_name | ( | Role | role | ) |

Gets the description string describing the Role role.

Parameters:

  role | The Role whose name is required.

Returns:
  A string describing the role.

Role role_register | ( | const String & | name | ) |

Registers the role specified by name.

Parameters:

  name | A character string describing the new role.

Returns:
  A Role for the new role.

StateType state_type_for_name | ( | const String & | name | ) |

Gets the StateType corresponding to the description string name.

Parameters:

  name | A character string state name.

Returns:
  A StateType corresponding to name.

String state_type_get_name | ( | StateType | type | ) |

Gets the description string describing the StateType type.

Parameters:

  type | The StateType whose name is required.

Returns:
  A string describing the StateType.

StateType state_type_register | ( | const String & | name | ) |

Register a new object state.

Parameters:

  name | A character string describing the new state.

Returns:
  A State value for the new state.

TextAttribute text_attribute_for_name | ( | const String & | name | ) |

Get the TextAttribute type corresponding to a text attribute name.

Parameters:

  name | A string which is the (non-localized) name of a TextAttribute.

Returns:
  The TextAttribute enumerated type corresponding to the specified name, or TEXT_ATTR_INVALID if no matching text attribute is found.

String text_attribute_get_name | ( | TextAttribute | attr | ) |

Gets the name corresponding to the TextAttribute.

Parameters:

  attr | The TextAttribute whose name is required.

Returns:
  A string containing the name.

String text_attribute_get_value | ( | TextAttribute | attr,
|  | int | index
| ) |

Gets the value for the index of the text attribute attr.

Parameters:

  attr | The TextAttribute for which a value is required.
  index | The index of the required value.

Returns:
  A String containing the value, or a null String if there are no values maintained for attr.

TextAttribute text_attribute_register | ( | const String & | name | ) |

Associate name with a new TextAttribute.

Parameters:

  name | A name string.

Returns:
  The new TextAttribute associated with name.

Main Page - Footer